$Title Sets Definition
$ontext
--------------------------------------------------------------------------------
------------------------------ General Header ----------------------------------
--------------------------------------------------------------------------------
         SAM disaggregation in load blocks
         Renato Rodrigues
         Instituto de Investigacin Tecnolgica
         Date: 11, oct, 2011
--------------------------------------------------------------------------------
--------------------------- End of General Header ------------------------------
--------------------------------------------------------------------------------
$offtext

*---------Declaration of auxiliary file-------
file TMPx /tmpx.txt/
put TMPx  putclose
                         'par=report_vector rng=S%SOX_tax%_N%NOX_tax%_C%CO2e_diffuse_sectors_tax%_F%fuel_tax_simulation%_R%renewable_premium_tax%_G%green_tax_reform%_1!B2' /
                         'par=report_two_dimensions rng=S%SOX_tax%_N%NOX_tax%_C%CO2e_diffuse_sectors_tax%_F%fuel_tax_simulation%_R%renewable_premium_tax%_G%green_tax_reform%_2!B2' /
                         'par=report_three_dimensions rng=S%SOX_tax%_N%NOX_tax%_C%CO2e_diffuse_sectors_tax%_F%fuel_tax_simulation%_R%renewable_premium_tax%_G%green_tax_reform%_3!B2'

*---------GAMs loading data-------------------
execute_unload "results.gdx"

*---------GAMs loading data-------------------
execute        'gdxxrw.exe results.gdx o="Economics for Energy - Simulations.xlsm" SQ=n Squeeze=0 EpsOut=0 @tmpx.txt'

*---------Deleting Auxiliary Files--
execute 'del tmpx.txt results.gdx';





$ontext
*---------Declaration of auxiliary file-------
file TMPx /tmpx.txt/
put TMPx  putclose
                         'par=report_vector rng=hoja1!B2' /
                         'par=report_two_dimensions rng=hoja2!B2' /
                         'par=report_three_dimensions rng=hoja3!B2'

*---------GAMs loading data-------------------
execute_unload "results.gdx"

*---------GAMs loading data-------------------
execute        'gdxxrw.exe results.gdx o="Output_Model_%Model%_%Load_Block_Aggregation%_%Years_Simulated%_SOX_%SOX_tax%_NOX_%NOX_tax%_CO2e_%CO2e_diffuse_sectors_tax%_REN_%renewable_premium_tax%_GTR_%green_tax_reform%_results_comparison.xlsx" SQ=n Squeeze=0 EpsOut=0 @tmpx.txt'

*---------Deleting Auxiliary Files--
execute 'del tmpx.txt results.gdx';
$offtext


