$Title Electricity Model
$ontext
--------------------------------------------------------------------------------
------------------------------ General Header ----------------------------------
--------------------------------------------------------------------------------
         SAM disaggregation in load blocks
         Renato Rodrigues
         Instituto de Investigacin Tecnolgica
         Date: 20, jul, 2011
--------------------------------------------------------------------------------
--------------------------- End of General Header ------------------------------
--------------------------------------------------------------------------------
$offtext

*---------Declaration of auxiliary file-------
file TMPHGEMED /tmpHGEMED.txt/
put TMPHGEMED  putclose
                         'par=report_vector rng=green_tax_reform_%green_tax_reform%_vector!B2' /
                         'par=report_two_dimensions rng=green_tax_reform_%green_tax_reform%_two!B2' /
                         'par=report_three_dimensions rng=green_tax_reform_%green_tax_reform%_three!B2' /
                         'par=report_four_dimensions rng=green_tax_reform_%green_tax_reform%_four!B2' /
                         'par=report_five_dimensions rng=green_tax_reform_%green_tax_reform%_five!B2' /
                         'par=report_six_dimensions rng=green_tax_reform_%green_tax_reform%_six!B2' /
                         'par=report_seven_dimensions rng=green_tax_reform_%green_tax_reform%_seven!B2'

*---------GAMs loading data-------------------
execute_unload "results.gdx"

*---------GAMs loading data-------------------
execute        'gdxxrw.exe results.gdx o="Output_Model_%Model%_%Load_Block_Aggregation%_HGEMED_results_comparison.xlsx" SQ=n Squeeze=0 EpsOut=0 @tmpHGEMED.txt'

*---------Deleting Auxiliary Files--
execute 'del tmpHGEMED.txt results.gdx';










